Bug 8067 - Не показываются русские буквы на Joliet CD (ALC3.0-rc7)
: Не показываются русские буквы на Joliet CD (ALC3.0-rc7)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-27 16:27 by
Modified: 2005-12-15 16:32 (History)


Attachments
ISO-шник с русскими буквами (950 bytes, application/octet-stream)
2005-09-29 12:16, Fr. Br. George
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-27 16:27:17
Вместо русских букв на CD с Joliet показываются вопросительные знаки
Steps to Reproduce:
1. Ворткнуть любой виндузовый сидюк с русскими именами файлов
2. ls -R /media/cdrom
------- Comment #1 From 2005-09-27 19:29:38 -------
to mantainer  
------- Comment #2 From 2005-09-28 09:35:57 -------
Проблема - нет у меня виндоузного сидюка.

Можешь рассказать какие опции монтирования нужно прописать для него ?
------- Comment #3 From 2005-09-28 18:59:18 -------
(In reply to comment #2)
> Проблема - нет у меня виндоузного сидюка.
Это не проблема
Классический виндуозный сидюк добывается путём записи файлов с русскими именами
и указанием опции -J mkisofs (без других расширений, например, без -R/-r).
> 
> Можешь рассказать какие опции монтирования нужно прописать для него ?
utf8
------- Comment #4 From 2005-09-29 10:01:26 -------
Стоп. Я же и так работают под unicode. Зачем еще опция, указывающая кодировку ?
Или все-таки нужно ?

Могут ли быть диски, на которых опция utf8 работать не будет ???

Да, еще один вопрос:
какие-то опции при генерации классического виндюзевого сидюка для кодировок
указывать надо ?

Я когда подбирал список опций для cdrom - генерил ISO на машине с UTF-8 и потом
смотрел ее на машине с KOI8-R. Так вот все работало.

Опцию -J использовал.

Можешь выложить минимальный образ, содержащий один каталог с русским названием
?
------- Comment #5 From 2005-09-29 12:16:51 -------
Created an attachment (id=1149) [details]
ISO-шник с русскими буквами
------- Comment #6 From 2005-09-29 12:18:07 -------
(In reply to comment #4)
> Стоп. Я же и так работают под unicode. Зачем еще опция, указывающая кодировку 
> Или все-таки нужно ?
> Могут ли быть диски, на которых опция utf8 работать не будет ???
Скорее всего, нет. utf8, как и iocharset, -- это опция _преобразования_ имён
любой uft-ной файловой системы при выводе. По умолчанию оно было iso8859-1, но
кто-то из наших прихакал туда либо автораспознавание, либо koi8-r. В случае
автораспознавания, наверное, возможны глюки.
> Да, еще один вопрос:
> какие-то опции при генерации классического виндюзевого сидюка для кодировок
> указывать надо ?
Нет. Joliet пользуется (кажется) чистым Unicode, а mkisofs -- LOCALE
> Я когда подбирал список опций для cdrom - генерил ISO на машине с UTF-8 и потом
> смотрел ее на машине с KOI8-R. Так вот все работало.
Не на машине, а у пользователя с KOI8-R всё и должно работать по причине,
описанной выше. У меня, например, работает.

> Опцию -J использовал.
> 
> Можешь выложить минимальный образ, содержащий один каталог с русским названием ?
Прикладываю
------- Comment #7 From 2005-09-29 21:55:05 -------
(In reply to comment #6)
> Нет. Joliet пользуется (кажется) чистым Unicode
UCS2 там.

(In reply to comment #4)
> Да, еще один вопрос:
> какие-то опции при генерации классического виндюзевого сидюка для кодировок
> указывать надо ?
man mkisofs
-jcharset локаль
оно же -J -input-charset локаль
------- Comment #8 From 2005-09-30 15:02:28 -------
(In reply to comment #6)
> (In reply to comment #4)
> > Можешь выложить минимальный образ, содержащий один каталог с русским названием ?
> Прикладываю

А с какими опциями его монтировать ? как я не пытался, но так и не увидел
русских букв. Просмотр сидюка в hexview показал наличие там кусков в KOI8-R.
------- Comment #9 From 2005-09-30 15:27:26 -------
Кстати, есть одна небольшая проблема... опция utf8 скорее всего не будет
работать на UDF.
------- Comment #10 From 2005-09-30 17:32:38 -------
fixed (hal-0.5.4-alt4)